#!/bin/bash
# script permettant la sync de sysvol, lancé sur les DC.
# lancé par cron, ou à la demande
#
. /usr/share/sambaedu/includes/config.inc.sh
. /usr/share/sambaedu/includes/ad.inc.sh
. /usr/share/sambaedu/includes/utils.inc.sh
my_network
if [ "$1" == "master" ]; then
	tdbbackup -s .bak /var/lib/samba/private/idmap.ldb
	scp -i /etc/sambaedu/id_rsa /var/lib/samba/private/idmap.ldb.bak root@${config_se4ad_slave_ip}:/var/lib/samba/private/
	ssh -i /etc/sambaedu/id_rsa root@${config_se4ad_slave_ip} cp /var/lib/samba/private/idmap.ldb.bak /var/lib/samba/private/idmap.ldb
	ssh -i /etc/sambaedu/id_rsa root@${config_se4ad_slave_ip} net cache flush	
    rsync -e "ssh -i /etc/sambaedu/id_rsa" -aP  /var/lib/samba/sysvol/ root@${config_se4ad_slave_ip}:/var/lib/samba/sysvol/
	ssh -i /etc/sambaedu/id_rsa root@${config_se4ad_slave_ip} samba-tool ntacl sysvolreset -U$config_ldap_admin_name --password="$config_ldap_admin_passwd"
elif [ "$my_address" == "$config_se4ad_slave_ip" ]; then
	rsync -e "ssh -i /etc/sambaedu/id_rsa" -aP  root@${config_se4ad_ip}:/var/lib/samba/sysvol/ /var/lib/samba/sysvol/
fi
